Create
curl --request POST \
--url https://api.example.com/identity/users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "ana.souza@dommed.com.br",
"password": "S3nhaForte!23",
"role": "employee"
}
'import requests
url = "https://api.example.com/identity/users"
payload = {
"email": "ana.souza@dommed.com.br",
"password": "S3nhaForte!23",
"role": "employee"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: 'ana.souza@dommed.com.br', password: 'S3nhaForte!23', role: 'employee'})
};
fetch('https://api.example.com/identity/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}02.Identity - User
Create
Cria um novo usuario do Hub.
Requer usuario autenticado com role admin.
POST
/
identity
/
users
Create
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Email do novo usuario, usado como identificador de login.
Example:
"ana.souza@dommed.com.br"
Senha em texto plano; e hasheada antes de ser persistida.
Minimum string length:
1Example:
"S3nhaForte!23"
Papel do usuario no Hub: admin tem acesso administrativo total, employee tem acesso operacional restrito.
Available options:
admin, employee Example:
"employee"
Response
Successful Response
Identificador unico do recurso recem-criado.
Example:
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
⌘I
